#
# spec file for package python-websocket-client
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-websocket-client
Version:        0.23.0
Release:        5.2
Summary:        WebSocket client implementation
License:        LGPL-2.1
Group:          Development/Languages/Python
Url:            https://github.com/liris/websocket-client/releases
Source0:        websocket-client-%{version}.tar.gz
Patch0:         fixTestTimeoutIssue.patch
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
BuildRequires:  python-argparse
BuildRequires:  python-unittest2
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
websocket-client module  is WebSocket client for python. This provide the
low level APIs for WebSocket. All APIs are the synchronous functions.

websocket-client supports only hybi-13.

%package test
Summary:        Unit tests
Group:          Development/Languages/Python
Requires:       python-websocket-client = %{version}

%description test
Unit tests for websocket-client

%prep
%setup -q -n websocket-client-%{version}
%patch0

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Use the system certs
rm %{buildroot}/%{python_sitelib}/websocket/cacert.pem

%check
python websocket/tests/test_websocket.py

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%dir %{python_sitelib}/websocket
%dir %{python_sitelib}/websocket_client-%{version}-py*.egg-info
%{_bindir}/wsdump.py
%exclude %{python_sitelib}/websocket/tests/
%{python_sitelib}/websocket/*
%{python_sitelib}/*egg-info/*

%files test
%defattr(-,root,root,-)
%dir %{python_sitelib}/websocket/tests
%{python_sitelib}/websocket/tests/*

%changelog
* Wed Feb 11 2015 rjschwei@suse.com
- Update fixTestTimeoutIssue.patch to handle different behavior between
  python 2.7.x versions
* Tue Feb 10 2015 rjschwei@suse.com
- Add fixTestTimeoutIssue.patch
  + fixes test case in factory
* Sun Feb  8 2015 rjschwei@suse.com
- Update to version 0.23.0
  - Remove spurious print statement. (#135)
  - Fix not thread-safe of Websocket.close() (#120)
  - Try to get proxy info from environment if not explicitly provided (#124)
  - support proxy basic authenticaiton. (#125)
  - Fix NoneType exception at WebsocketApp.send (#126)
  - not use proxy for localhost (#132)
  - Check for socket before attempting to close (#115)
  - Enable turning off SSL verification in wsdump.py(#116)
  - Enable to set subprotocol(#118)
  - Better support for Autobahn test suite (http://autobahn.ws/testsuite) (#117)  - suppress close event message(#107)
  - detect socket connection state(#109)
  - support for code and reason in on_close callback(#111)
  - continuation frame handling seems suspicious(#113)
* Thu Oct  2 2014 toddrme2178@gmail.com
- Update to version 0.18.0
  - allow override of match_hostname usage on ssl (#105)
- Update to version 0.17.0
  - can't set timeout on a standing websocket connection (#102)
  - fixed local variable 'error' referenced before assignment (#102, #98)
- Update to version 0.16.0
  - lock some method for multithread. (#92)
  - disable cert verification. (#89)
- Remove upstreamed webSoc_useSystemCert.patch
* Mon Jun 23 2014 rschweikert@suse.com
- Simplify conditionals in spec file
- Fix patch webSoc_useSystemCert.patch, eliminate tab use spaces
* Mon Jun 16 2014 rschweikert@suse.com
- Clean up spec file
* Sat Jun  7 2014 rschweikert@suse.com
- Add Group to sub package, fixes build for SLE 11
* Fri Jun  6 2014 rschweikert@suse.com
- Include in SLE 12 (FATE #316168)
* Thu Jun  5 2014 rschweikert@suse.com
- Fix upstream URL, point to github (development) rather than pypy
* Thu Jun  5 2014 rschweikert@suse.com
- Initial build
